Bug 1130616 - Unable to remove user from system after login on terminal. UID is used by /usr/lib/systemd/systemd
Summary: Unable to remove user from system after login on terminal. UID is used by /us...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1114026 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-15 16:33 UTC by Robin Hack
Modified: 2015-06-10 17:34 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-10 17:34:01 UTC


Attachments (Terms of Use)

Description Robin Hack 2014-08-15 16:33:23 UTC
Description of problem:
Hi. I'm not able to delete user after his login.

Version-Release number of selected component (if applicable):
systemd-208-21.fc20.x86_64

How reproducible:
always

Steps to Reproduce:
1. # useradd kromanonec
2. # set password for user kromanonec
3. $ switch to text mode. login will shows up
4. $ login as user kromanonec
5. $logout
6. # as root try to remove user:
# userdel -r kromanonec
userdel: user kromanonec is currently used by process 23033


Actual results:
userdel: user kromanonec is currently used by process 23033

Expected results:
deleted user

Additional info:

Comment 1 Robin Hack 2014-08-15 17:43:21 UTC
Additional info:
kromanonec    23033  0.0  0.0  44520  4132 ?        Ss   18:20   0:00 /usr/lib/systemd/systemd --user

Comment 2 Lennart Poettering 2014-10-24 13:13:12 UTC
*** Bug 1114026 has been marked as a duplicate of this bug. ***

Comment 3 Zbigniew Jędrzejewski-Szmek 2014-10-26 21:47:19 UTC
As a work-around you can do 'systemctl stop user@`id -u kromanonec`'.

I'm not convinced that this is something that we want to or can fix, since there are various ways in which users are allowed to leave processes running around after logging out, and the admin simply has to take care of killing them before removing the user.

Comment 4 Fedora End Of Life 2015-05-29 12:38:50 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Zbigniew Jędrzejewski-Szmek 2015-06-10 17:34:01 UTC
Per comment #c3, I think that some manual action from the admin is expected.


Note You need to log in before you can comment on or make changes to this bug.